<?php
$title->SetTitle('Маркет - Покупка товара');
$title->GetHeader();
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/market"style="text-decoration:none; color:white;"> Маркет</a> :: Покупка товара</div></div></div>';
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$file = DB::$dbs->queryFetch("SELECT * FROM `magazin_file` WHERE `id` = ? LIMIT 1", [$id]);
if ($file['user_id']==$b['id']){
header('location:/');
exit;
}
if ($file['block_file'] == 1){
header('location:/');
exit;
}

switch($act){
default:
echo '<div class="list-group-item media">Вы действительно собираетесь покупать данный товар?<br/><a href="/market/buy/da/'.$id.'">Да</a> | <a href="/market/file/'.$id.'">Нет</a></div>';
break;
case 'da':
if ($file['price']<=0){
header('Location:/');
exit;
}
if ($file['kopii']!=0 && $file['kopii']<=$file['prodano']) {
echo '<div class="alert alert-danger"role="alert"><b>Все копии проданы</b></div>';
$title->GetMenu();
$title->GetFooter();
exit;
}
if ($file['price']>$b['rur']) {
echo '<div class="alert alert-danger"role="alert"><b>Недостаточно средств!</b></div>';
$title->GetMenu();
$title->GetFooter();
exit;
}
// Покупка товара
DB::$dbs->query("INSERT INTO `magazin_mybuy` SET `file` = ?,`user_id` = ?,`user_buyid` = ?,`time` = ?", [$id,$b['id'],$file['user_id'],time()]);
DB::$dbs->query("INSERT INTO `magazin_myout` SET `file` = ?,`user_id` = ?,`time` = ?,`user_buyid` = ?", [$id,$file['user_id'],time(),$b['id']]);
$rurm = $b['rur']-$file['price'];
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE `id` = ?",[$file['price'],$b['id']]);
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` + ? WHERE `id` = ?",[$file['price'],$file['user_id']]);
DB::$dbs->query("UPDATE `magazin_file` SET `prodano` = `prodano` + ? WHERE `id` = ?", [1,$id]);
if ($file['kopii']!=0 && $file['kopii']<=($file['prodano']+1)){
$msge2 = ' Продана последняя копия товара! Вам необходимо удалить ваш товар из магазина или увеличить количество копий доступных для продажи.';
}
/* запись в оповещения */
$msge = 'Пользователь [b]'.$b['nick'].'[/b] купил копию вашего товара [url=http://'.$_SERVER['HTTP_HOST'].'/market/file/'.$file['id'].']'.$file['name'].'[/url]. Желаем вам удачных продаж!'.$msge2;
jurnal($file['user_id'],$msge,5);
echo '<div class="list-group-item media">Товар куплен успешно! C вашего счета списано <b>'.$file['price'].' p.</b><br /><a href="/market/buy/load/'.$id.'"class="btn btn-primary">Скачать файл</a></div>';
break;
case 'load':
if (DB::$dbs->querySingle("SELECT count(id) FROM `magazin_mybuy` WHERE user_id = ? AND `file` = ?", [$b['id'],$id]) == 0) {
Header('Location: /');
exit;
} else {
header('location: /files/mag_file/'.$file['file']);
die();
}
break;
}
?>